Skip to main content
POST
/
api
/
dataproduct
Creates data products
curl --request POST \
  --url https://api.example.com/api/dataproduct \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_name": "<string>",
  "name": "<string>",
  "domain_urn": "<string>",
  "query": "<string>",
  "suggestion_id": "<string>",
  "query_id": "<string>",
  "is_view": true
}
'
{
  "view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "view_name": "<string>",
  "preshared_key": "<string>",
  "preshared_key_valid_until": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
role_name
string
required

Name of the role associated with this view.

name
string
required

Name of the view to create.

domain_urn
string | null

URN of the domain where the view belongs.

query
string | null

SQL query for creating the view.

suggestion_id
string | null

ID of the suggested query to base the view on.

query_id
string | null

ID of an existing query to base the view on.

is_view
boolean | null

Indicates if the object being created is a view.

Response

View created successfully.

view_id
string<uuid>
required

Unique ID of the created view.

view_name
string
required

Name of the created view.

preshared_key
string | null

Pre-shared key associated with the view, if applicable.

preshared_key_valid_until
string<date-time> | null

Expiration date and time of the pre-shared key.